<script lang="ts">
  import HeroSection from '$lib/components/sections/HeroSection.svelte';
  import NewsSection from '$lib/components/sections/NewsSection.svelte';
  import JournalSection from '$lib/components/sections/JournalSection.svelte';
  import ResearchSection from '$lib/components/sections/ResearchSection.svelte';
  import BaseLayout from '$lib/components/layouts/BaseLayout.svelte';
  import SchoolSection from '$lib/components/sections/SchoolSection.svelte';
  import SsaSection from '$lib/components/sections/SsaSection.svelte';
  import ProjectSection from '$lib/components/sections/ProjectSection.svelte';
  import type { PageData } from './$types';

  export let data: PageData;

  const { news, research, journal: journals, school: schools, sno: ssa, project: projects } = data;
</script>

<svelte:head>
    <title>Главная</title>
</svelte:head>

<BaseLayout>
    <main class="flex flex-col gap-10">
        <HeroSection/>
        {#if news.data.length}
            <NewsSection {news}/>
        {/if}
        {#if research.data.length}
            <ResearchSection {research}/>
        {/if}
        {#if journals.data.length}
            <JournalSection {journals}/>
        {/if}
        {#if schools.data.length}
            <SchoolSection {schools}/>
        {/if}
        {#if ssa.data.length}
            <SsaSection {ssa}/>
        {/if}
        {#if projects.data.length}
            <ProjectSection {projects}/>
        {/if}
        <!--Доска объявлений-->
    </main>
</BaseLayout>
